Subject: Re: bug#42776: Obscure documentation of `edebug-form-data' in edebug.el

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Dec 2020 14:37:20 +0100

Alan Mackenzie <[email-masked]> writes:

> The doc string of edebug-form-data begins thusly:
>
>      "A list of entries associating symbols with buffer regions.
>       Each entry is an `edebug--form-data' struct with fields:
>       SYMBOL, BEGIN-MARKER, and END-MARKER.  The markers
>       are at the beginning and end of an entry level form and SYMBOL is
>       a symbol that holds all edebug related information for the form on its
>       property list."
>
> The following extract from this is obscure: "...the beginning and end of
> an entry level form ...."
>
> What in heaven or earth is an "entry level form"?  What is it for?

I'm guessing that's just a typo for "of a form"?

> Less major questions are: What is the nature of the "association" of the
> symbols with the buffer regions?  Which buffer gets its regions
> associated?
>
> It seems the only way to make sense of this doc string is by reading
> edebug.el's source to find out what it means.  This isn't what doc
> strings are supposed to be for.

I'm not extremely familiar with the edebug data structures -- can
somebody clarify this doc string?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no